<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="420px"
        android:layout_height="220px"
        android:orientation="horizontal">

        <RelativeLayout
            android:id="@+id/cabinet_LL"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="10px"
            android:background="@mipmap/img_dkm">

        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">


            <TextView
                android:id="@+id/cabinet_name_TV"
                android:layout_width="match_parent"
                android:layout_height="50px"
                android:layout_marginStart="5px"
                android:gravity="center_vertical"
                android:text="柜子名称" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="10px"
                android:layout_marginBottom="5px"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/up_door_unlock_LL"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/up_door_name_IV"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@mipmap/icon_gzxx_zh" />

                    <TextView
                        android:id="@+id/up_door_name_TV"
                        android:layout_width="150px"
                        android:layout_height="match_parent"
                        android:gravity="center_vertical"
                        android:maxLines="2"
                        android:text="名称"
                        android:textColor="#ff333333"
                        android:textSize="20px" />

                    <Button
                        android:id="@+id/up_door_unlock_BT"
                        android:layout_width="wrap_content"
                        android:layout_height="45px"
                        android:layout_gravity="end|center_vertical"
                        android:layout_margin="5px"
                        android:background="@drawable/selector_input_bt"
                        android:gravity="center"
                        android:text="开门"
                        android:textColor="@color/white"
                        android:textSize="20px"
                        android:visibility="gone" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/down_door_unlock_LL"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <ImageView
                        android:id="@+id/down_door_name_IV"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@mipmap/icon_gzxx_zh" />

                    <TextView
                        android:id="@+id/down_door_name_TV"
                        android:layout_width="150px"
                        android:layout_height="match_parent"
                        android:gravity="center_vertical"
                        android:maxLines="2"
                        android:text="名称"
                        android:textColor="#ff333333"
                        android:textSize="20px" />

                    <Button
                        android:id="@+id/down_door_unlock_BT"
                        android:layout_width="wrap_content"
                        android:layout_height="45px"
                        android:layout_gravity="end|center_vertical"
                        android:layout_margin="5px"
                        android:background="@drawable/selector_input_bt"
                        android:gravity="center"
                        android:text="开门"
                        android:textColor="@color/white"
                        android:textSize="20px"
                        android:visibility="gone" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</RelativeLayout>